API Explorer 1 endpoints

Get My Api Product Subscriptions

GET /obp/v7.0.0/my/api-product-subscriptions

OBPv7.0.0-getMyApiProductSubscriptions No role required APIApi-Product-Subscription

Get the Api Product Subscriptions of every Consumer the current User created, with their attributes.

No Role is required.

See here.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (17)
api_product_code
api_product_code
api_product_subscription_attribute_id
api_product_subscription_attribute_id
api_product_subscription_id
api_product_subscription_id
api_product_subscriptions
api_product_subscriptions
bank_id
gh.29.uk
consumer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
created_at
created_at
created_by_user_id
name
ACCOUNT_MANAGEMENT_FEE
start_date
2020-01-27
status
type
updated_at
updated_at
value
5987953
attributes
attribute value in form of (name, value)
is_active
false
rate_limiting_id
rate_limiting_id
Example success response
{
  "api_product_subscriptions": [
    {
      "api_product_subscription_id": "api-product-subscription-id-123",
      "bank_id": "gh.29.uk",
      "api_product_code": "1234BW",
      "consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "status": "active",
      "start_date": "1100-01-01T00:00:00Z",
      "created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "rate_limiting_id": "rate-limiting-id-123",
      "created_at": "1100-01-01T00:00:00Z",
      "updated_at": "1100-01-01T00:00:00Z",
      "attributes": [
        {
          "api_product_subscription_id": "api-product-subscription-id-123",
          "api_product_subscription_attribute_id": "api-product-subscription-attribute-id-123",
          "name": "STRIPE_SUBSCRIPTION_ID",
          "type": "STRING",
          "value": "sub_1234567890",
          "is_active": true
        }
      ]
    }
  ]
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 getMyApiProductSubscriptions